import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yinhao0424/9f1730ca91ab6a472fc212761267fa39/raw/0f45dfad1e981dbb7eefb69dd7ec2a152c2926a1/h1b_4.csv';

export const useData = () => {
    const [data, setData] = useState(null);
  	useEffect(() => {
    const row = d => {
      d.PETITION = +d.PETITION;
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 20));
    });
  }, []);
  return data;
};